package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.MusicGroupQuestionnaire;
import com.ym.mec.biz.dal.entity.QuestionnaireTopic;
import com.ym.mec.common.service.BaseService;

import java.util.Map;

public interface MusicGroupQuestionnaireService extends BaseService<Integer, MusicGroupQuestionnaire> {

    /**
     * 新增乐团调查问卷
     * @param musicGroupQuestionnaire
     */
    void add(MusicGroupQuestionnaire musicGroupQuestionnaire);

    /**
     * 获取问卷题目详情
     * @return
     */
    QuestionnaireTopic getQuestionDetail(Integer tenantId);

    /**
     * 修改乐团满意度调查
     * @param musicGroupQuestionnaire
     */
    void updateResult(MusicGroupQuestionnaire musicGroupQuestionnaire);

    Map<String,Object> getDetail(Integer id);

    void del(Integer id);
}